%define oname 	libmad
%define major  	0
%define libname %mklibname mad %{major}
%define develname %mklibname -d mad

Summary:	High-quality MPEG Audio Decoder
Name:		mad
Version:	0.15.1b
Release:	%mkrel 31
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.underbit.com/products/mad/
Source0:	https://prdownloads.sourceforge.net/mad/%oname-%version.tar.bz2
Source2:	mad.pc.bz2
Patch0:		libmad-no_-fforce-mem.diff
Patch1:		libmad-0.15.1b-automake-1.13.patch
# Patch that originated from VLC and modified slightly by Shlomi Fish
# (shlomif) to fix these problems - https://trac.videolan.org/vlc/ticket/17052
# Patch2:		contrib_src_mad_check-bitstream-length--mod1.patch
Patch2:		contrib_src_mad_check-bitstream-length--mod2.patch
Patch3:		frame_length.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=1477499
# https://bugs.mageia.org/show_bug.cgi?id=23698
Patch4:		cve-2017-11552-length-check.patch
Patch5:		cve-2017-11552-md_size.diff

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

%package -n %{libname}
Summary:        High-quality MPEG Audio Decoder
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2  extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

MAD does not yet support MPEG-2 multichannel audio (although it should
be backward compatible with such streams) nor does it currently support AAC.

MAD has the following special features:
    * 24-bit PCM output
    * 100% fixed-point (integer) computation
    * completely new implementation based on the ISO/IEC standards

%package -n %develname
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/C
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes: 	%{name}-devel
Obsoletes:	%mklibname -d mad 0

%description -n %develname
This package includes the header files and static libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs which will use the %{name} library
you should install this.


%prep
%setup -q -n %oname-%version
%patch -P 0 -p0
%patch -P 1 -p1 -b .automake-1_13
%patch -P 2 -p1 -b .mp3-crash
%patch -P 3 -p1 -b .frame-length
%patch -P 4 -p1 -b .p4
%patch -P 5 -p1 -b .p5

%build
rm -f configure
touch NEWS AUTHORS ChangeLog
autoreconf -fis

%configure
%make_build

%install
%makeinstall

mkdir -p %buildroot/%_libdir/pkgconfig
bzip2 -cd %SOURCE2 | sed -e 's,/lib$,/%{_lib},' >%buildroot/%_libdir/pkgconfig/mad.pc
perl -pi -e "s/0.14.2b/%version/" %buildroot/%_libdir/pkgconfig/mad.pc

%multiarch_includes %buildroot%{_includedir}/mad.h



%files -n %{libname}
%doc COPYING
%{_libdir}/libmad.so.%{major}{,.*}

%files -n %develname
%doc COPY* README TODO CHANGES CREDITS
%{_libdir}/*.a
%{_libdir}/*.so
%_libdir/pkgconfig/*
%{_includedir}/*
%multiarch %{multiarch_includedir}/*.h




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.15.1b-31.mga10
+ Revision: 2127828
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 0.15.1b-30.mga9
+ Revision: 1793925
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 0.15.1b-29.mga9
+ Revision: 1789921
- fix files list

* Fri Feb 14 2020 umeabot <umeabot> 0.15.1b-28.mga8
+ Revision: 1523031
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 16 2019 shlomif <shlomif> 0.15.1b-27.mga7
+ Revision: 1367564
- Fix for mga#24369 - distorted sound in qmmp, mplayer.

* Sun Feb 03 2019 shlomif <shlomif> 0.15.1b-26.mga7
+ Revision: 1362843
- patches for mga#23698.

* Sun Sep 23 2018 umeabot <umeabot> 0.15.1b-25.mga7
+ Revision: 1299430
- Mageia 7 Mass Rebuild

* Thu Dec 28 2017 luigiwalser <luigiwalser> 0.15.1b-24.mga7
+ Revision: 1186838
- rediff patch from debian to fix CVE-2017-837[2-4]

* Fri Sep 15 2017 cjw <cjw> 0.15.1b-23.mga7
+ Revision: 1154249
- remove unused find_lang call

* Fri Jun 24 2016 shlomif <shlomif> 0.15.1b-22.mga6
+ Revision: 1037459
- New patch to MGA#18776 by Deri James. [rebased]

* Sun Jun 19 2016 shlomif <shlomif> 0.15.1b-21.mga6
+ Revision: 1036798
- Fix layer1/2 and sometimes 3 playback. Amend prev patch (MGA#18736).
  Tested locally to be fine.

* Fri Jun 17 2016 shlomif <shlomif> 0.15.1b-20.mga6
+ Revision: 1021998
- Improved patch with some possibly better ABI compat.

* Thu Jun 16 2016 shlomif <shlomif> 0.15.1b-19.mga6
+ Revision: 1021762
- Fixed some problems with mp3 playback by modding the patch.

* Sun Jun 05 2016 luigiwalser <luigiwalser> 0.15.1b-18.mga6
+ Revision: 1020277
- add patch from VLC to fix buffer overread and crash

* Fri Feb 05 2016 umeabot <umeabot> 0.15.1b-17.mga6
+ Revision: 936505
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.15.1b-16.mga5
+ Revision: 741493
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.15.1b-15.mga5
+ Revision: 727066
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.15.1b-14.mga5
+ Revision: 682120
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.15.1b-13.mga4
+ Revision: 507705
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.15.1b-12.mga3
+ Revision: 359263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.15.1b-11.mga3
+ Revision: 339972
- rpm group System/Libraries
- patch1: fix build with automake 1.13

* Fri Jan 14 2011 mikala <mikala> 0.15.1b-10.mga1
+ Revision: 18030
- Drop mdk macros
- imported package mad

